Skip to main content
PATCH
/
consumers
/
{consumer_id}
/
connections
/
{connectionid}
Update an existing connection
curl --request PATCH \
  --url https://api.chift.eu/consumers/{consumer_id}/connections/{connectionid} \
  --header 'Content-Type: application/json' \
  --data '
{
  "redirect": false,
  "name": "<string>",
  "credentials": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}
'
{ "url": "<string>" }

Path Parameters

consumer_id
string<uuid>
required
connectionid
string<uuid>
required

Body

application/json
redirect
boolean | null
default:false

Indicates whether you want to return to the consumer's redirectUrl after update (true) or whether you want to return on the connection page (false)

name
string | null

Can be used to update the name of an existing connection

Maximum string length: 80
credentials
CredentialItem · object[] | null

Can be used to update the credentials of an existing connection. Please use the getIntegrations route to see the available credentials for each integration. Note: The preferred approach to let a consumer change their credentials is to call this endpoint without passing credentials in the body of the request, which will return a link that can be reshared with the consumer to update their credentials through the Chift UI.

Response

Successful Response

url
string
required